Subject: [CCAMP] Notify message clarification

From: "Diego Caviglia" <[email-masked]>
Date: Fri, 13 Aug 2010 13:23:30 +0200

Hi all,

        In RFC 3473 section 4.3 is stated

"Notify messages are normally generated only after a Notify Request
object has been received"

What means normally in this context?  Can I send a Notify message to a
node that has not requested, via NOTIFY_REQUEST obj, it? 

Thanks

Ciao

D

DIEGO CAVIGLIA 
Strategic Product Manager 

Ericsson Italy
Product Line PAIB
Via A. Negrone 1/A
Genoa, Italy
Phone +390106003736
Mobile +393357181762
[email-masked]
www.ericsson.com 

This Communication is Confidential. We only send and receive email on
the basis of the term set out at www.ericsson.com/email_disclaimer

---

From: "Adrian Farrel" <[email-masked]>
Date: Tue, 17 Aug 2010 19:57:29 +0100

Diego,

Consider two cases...

1. The Notify Request object does not identify the sender of
    the message containing the object. In fact, the Notify
    Request is sued to indicate a request to receive a Notify
    and the destination of such a Notify. It is not used to
    curtail the use of a Notify in any way.

2. Notify is used for Call signaling per RFC 4974.
    In this case, the Notify is sent between Call Controllers
    without any previous exchange of Notify Request objects.

However, while a spontaneously generated and directed Notify message might 
not be ruled illegal by any specification, I think we might hope to see the 
use case you have in mind specifically documented.

Cheers,
Adrian
----- Original Message ----- 
From: "Diego Caviglia" <[email-masked]>
To: <[email-masked]>
Sent: Friday, August 13, 2010 12:23 PM
Subject: [CCAMP] Notify message clarification

Hi all,

Thanks

Ciao

D

DIEGO CAVIGLIA

Ericsson Italy
Product Line PAIB
Via A. Negrone 1/A
Genoa, Italy
Phone +390106003736
Mobile +393357181762

--------------------------------------------------------------------------------

> _______________________________________________
> CCAMP mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ccamp
>

---

From: Diego Caviglia <[email-masked]>
Date: Wed, 18 Aug 2010 08:47:04 +0200

Hi Adrian,
          Thanks for your clarifications; I'll provide more information about the use case in next weeks.

Ciao e grazie (cheers and thanks)

Diego

 line

DIEGO CAVIGLIA 

Ericsson Italy
Product Line PAIB
Via A. Negrone 1/A
Genoa, Italy
Phone +390106003736
Mobile +393357181762

 Ericsson

This Communication is Confidential. We only send and receive email on the basis of the term set out at www.ericsson.com/email_disclaimer 

-----Original Message-----
From: Adrian Farrel [mailto:[email-masked]] 
Sent: martedì 17 agosto 2010 20.57
To: Diego Caviglia; [email-masked]
Subject: Re: [CCAMP] Notify message clarification

Diego,

Consider two cases...

Cheers,
Adrian
----- Original Message ----- 
From: "Diego Caviglia" <[email-masked]>
To: <[email-masked]>
Sent: Friday, August 13, 2010 12:23 PM
Subject: [CCAMP] Notify message clarification

Hi all,

Thanks

Ciao

D

DIEGO CAVIGLIA

Ericsson Italy
Product Line PAIB
Via A. Negrone 1/A
Genoa, Italy
Phone +390106003736
Mobile +393357181762